### Method

# Aravis Camera gv_set_packet_delay

since: 0.8.0

#### Declaration [src]

    void
    arv_camera_gv_set_packet_delay (
      ArvCamera* camera,
      gint64 delay_ns,
      GError** error
    )

#### Description [src]

Configure the inter packet delay to insert between each packet for the current stream channel. This can be used as a crude flow-control mechanism if the application or the network infrastructure cannot keep up with the packets coming from the device. Negative `delay_ns` is ignored.

Available since: 0.8.0

#### Parameters

`delay_ns`

  Type: `gint64`

  Inter packet delay, in nanoseconds.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.